%define		_root_sbindir	/sbin
%define		_root_libdir	/%{_lib}
%define		_sysconfdir	/etc

Summary: 	Utilities used for the second extended (ext2) filesystem.
Name: 		e2fsprogs
Version: 	1.41.12
Release: 	2
License: 	GPL
Group: 		System
URL:		http://e2fsprogs.sf.net/
Source:		%{name}-%{version}.tar.gz
Patch0: 	e2fsprogs-1.32-ismounted.patch
Patch1: 	e2fsprogs-1.35-no-msdos.patch
Buildroot: 	%{_tmppath}/%name-root
BuildRequires:	texinfo
Provides:	libext2fs2

%description
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in second
extended (ext2) filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters) and most of the other core ext2fs
filesystem utilities.

You should install the e2fsprogs package if you need to manage the
performance of an ext2 filesystem.

%package	devel
Summary: 	The Development Librairies for Ext2fs
Group: 		Development
Provides:	libext2fs2-devel

%description	devel
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in second
extended (ext2) filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters) and most of the other core ext2fs
filesystem utilities.

You should install libext2fs2 to use tools that compile with ext2fs
features.

%prep
%setup -q
%patch0 -p1 -b .ismounted~
chmod +w configure

%build
autoconf
%configure --enable-elf-shlibs --disable-uuidd --enable-compression --enable-htree --enable-dynamic-e2fsck --disable-fsck --disable-static --disable-nls
make libs progs docs

%install
rm -rf $RPM_BUILD_ROOT
export PATH=/sbin:$PATH

make install install-libs DESTDIR="$RPM_BUILD_ROOT" \
	root_sbindir=%{_root_sbindir} root_libdir=%{_root_libdir}

{ cd ${RPM_BUILD_ROOT}%{_libdir}
  ln -sf %{_root_libdir}/libe2p.so.2 libe2p.so
  ln -sf %{_root_libdir}/libext2fs.so.2 libext2fs.so
  ln -sf %{_root_libdir}/libss.so.2 libss.so
  ln -sf %{_root_libdir}/libuuid.so.1 libuuid.so
  ln -sf %{_root_libdir}/libblkid.so.1.0 libblkid.so
}

cd $RPM_BUILD_ROOT/sbin && rm e2label fsck.ext2 fsck.ext3 fsck.ext4 fsck.ext4dev mkfs.ext2
ln -sf e2fsck fsck.ext2
ln -sf e2fsck fsck.ext3
ln -sf e2fsck fsck.ext4
ln -sf e2fsck fsck.ext4dev
ln -sf mke2fs mkfs.ext2
ln -sf mke2fs mkfs.ext3
ln -sf mke2fs mkfs.ext4
ln -sf mke2fs mkfs.ext4dev
ln -sf tune2fs e2label
rm -r $RPM_BUILD_ROOT/usr/{info,man/man3}
rm $RPM_BUILD_ROOT/usr/bin/compil*
rm -r $RPM_BUILD_ROOT/usr/share/et
rm $RPM_BUILD_ROOT/usr/man/man1/compil*
rm $RPM_BUILD_ROOT/usr/lib/libcom*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README RELEASE-NOTES
/sbin
%{_bindir}
%{_sbindir}
%{_mandir}/man1
%{_mandir}/man8
/lib/*.so.*
%{_libdir}/e2initrd_helper
%{_libdir}/*.so

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/pkgconfig
%{_datadir}
%{_includedir}
